[![pipeline status](https://gitlab.com/caosdb/caosdb-pyinttest/badges/dev/pipeline.svg?job=codestyle)](https://gitlab.com/caosdb/caosdb-pyinttest/commits/dev)

# README

## Welcome

This is the **CaosDB Python Integration Testing** repository and a part of the
CaosDB project.

## Getting started #

- To run tests, start up a CaosDB server with (documentation for this can be found elsewhere).
  - The CaosDB server must have debugging enabled.
  - Certificates must be valid and be listed in `pycaosdb.ini`.
- Modify `pycaosdb.ini.template` accordingly and save it as `pycaosdb.ini`.
- Run the tests with `pytest` or `pytest-3` (depending on your system).
- If you want to run just a single test, you can also select a single test file:  
  `pytest-3 tests/test_issues.py`


## Further Reading

Please refer to the [official documentation](https://caosdb.gitlab.io/caosdb-pylib/) for more information.

## Contributing

Thank you very much to all contributers—[past, present](https://gitlab.com/caosdb/caosdb/-/blob/dev/HUMANS.md), and prospective ones.

### Code of Conduct

By participating, you are expected to uphold our [Code of Conduct](https://gitlab.com/caosdb/caosdb/-/blob/dev/CODE_OF_CONDUCT.md).

### How to Contribute

* You found a bug, have a question, or want to request a feature? Please
[create an issue](https://gitlab.com/caosdb/caosdb-pyinttest/-/issues).
* You want to contribute code? Please fork the repository and create a merge
request in GitLab and choose this repository as target. Make sure to select
"Allow commits from members who can merge the target branch" under Contribution
when creating the merge request. This allows our team to work with you on your request.
- You can also contact us at **info (AT) caosdb.de**.

## License

* Copyright (C) 2018 Research Group Biomedical Physics, Max Planck Institute
  for Dynamics and Self-Organization Göttingen.
* Copyright (C) 2020-2021 Indiscale GmbH <info@indiscale.com>

All files in this repository are licensed under a [GNU Affero General Public
License](LICENCE.md) (version 3 or later).
